Skip to main content

Prerequisites

  • A PCX account with an API key — generate one from the Dashboard
  • curl or any HTTP client

1. Authenticate

All requests require a Bearer token in the Authorization header.
export PCX_API_KEY="your_api_key_here"

2. Create an organization

curl -X POST https://api.pcxpay.com/v1/organizations \
  -H "Authorization: Bearer $PCX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "org_name": "Acme Corp",
    "country": "GB",
    "created_by": "user_abc123"
  }'
Response:
{
  "status": "success",
  "message": "Organization created successfully",
  "data": {
    "org_id": "org_xxxx",
    "org_name": "Acme Corp",
    "status": "active",
    "country": "GB",
    "createdAt": "2025-03-16T10:00:00.000Z",
    "kybComplete": false
  }
}

3. Start KYB verification

Before transacting, organizations must complete KYB.
curl -X POST https://api.pcxpay.com/v1/kyb \
  -H "Authorization: Bearer $PCX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "user_id": "user_abc123",
    "org_id": "org_xxxx",
    "userCreatedAt": "2025-03-16T10:00:00Z",
    "orgCreatedAt": "2025-03-16T10:00:00Z",
    "businessInfo": {
      "businessName": "Acme Corp",
      "country": "GB",
      "emailAddress": "ops@acme.com"
    }
  }'

Next steps